# Uses of Interface
org.eclipse.birt.chart.model.attribute.Gradient

Packages that use Gradient
Package
Description
org.eclipse.birt.chart.computation
This is a placeholder file for the org.eclipse.birt.chart.computation package.
org.eclipse.birt.chart.model.attribute
Contains attribute interface definitions (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.attribute.impl
Contains attribute core class implementations (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.

## Uses of Gradient in org.eclipse.birt.chart.computation

Methods in org.eclipse.birt.chart.computation that return Gradient
Modifier and Type
Method
Description
`Gradient`
GObjectFactory.`copyOf(Gradient src)`
`Gradient`
IGObjectFactory.`copyOf(Gradient src)`
`Gradient`
GObjectFactory.`createGradient(ColorDefinition cdStart, ColorDefinition cdEnd)`
`Gradient`
GObjectFactory.`createGradient(ColorDefinition cdStart, ColorDefinition cdEnd, double dDirectionInDegrees, boolean bCyclic)`
`Gradient`
IGObjectFactory.`createGradient(ColorDefinition cdStart, ColorDefinition cdEnd)`
`Gradient`
IGObjectFactory.`createGradient(ColorDefinition cdStart, ColorDefinition cdEnd, double dDirectionInDegrees, boolean bCyclic)`
Methods in org.eclipse.birt.chart.computation with parameters of type Gradient
Modifier and Type
Method
Description
`Gradient`
GObjectFactory.`copyOf(Gradient src)`
`Gradient`
IGObjectFactory.`copyOf(Gradient src)`

## Uses of Gradient in org.eclipse.birt.chart.model.attribute

Methods in org.eclipse.birt.chart.model.attribute that return Gradient
Modifier and Type
Method
Description
`Gradient`
Gradient.`copyInstance()`
`Gradient`
AttributeFactory.`createGradient()`
Returns a new object of class 'Gradient'.

## Uses of Gradient in org.eclipse.birt.chart.model.attribute.impl

Classes in org.eclipse.birt.chart.model.attribute.impl that implement Gradient
Modifier and Type
Class
Description
`class`
`GradientImpl`
An implementation of the model object ' Gradient'.
Methods in org.eclipse.birt.chart.model.attribute.impl that return Gradient
Modifier and Type
Method
Description
`Gradient`
GradientImpl.`copyInstance()`
A convenient method to get an instance copy.
`static final Gradient`
GradientImpl.`create(ColorDefinition cdStart, ColorDefinition cdEnd)`
`static final Gradient`
GradientImpl.`create(ColorDefinition cdStart, ColorDefinition cdEnd, double dDirectionInDegrees, boolean bCyclic)`
A convenience method provided to create a gradient instance with all member variables initialized
`Gradient`
AttributeFactoryImpl.`createGradient()`